#!/usr/bin/env python3

import distutils.core
import distutils.command.install
from DistUtilsExtra.command import build_extra, build_i18n
import os


class install_pylock(distutils.command.install.install):
    def run(self):
        distutils.dir_util.copy_tree('etc', os.path.join(self.root, 'etc'),
                                     preserve_times=0, preserve_symlinks=1, verbose=1)

        distutils.command.install.install.run(self)

distutils.core.setup(
    name = 'pylock',
    version = '1',
    author = 'Matthias Schiffer',
    author_email = 'mschiffer@universe-factory.net',
    url = 'http://git.universe-factory.net/pylock/',
    description = 'A lightweight screenlocker for X implemented in Python 3 using Gtk3',
    license = 'BSD',

    packages = ['pylock'],
    package_data = {
        'pylock': ['data/unlock.ui', 'data/bg.svg'],
    },

    scripts = ['scripts/pylock'],

    cmdclass = {
        'build': build_extra.build_extra,
        'build_i18n': build_i18n.build_i18n,
        'install': install_pylock,
    },

    provides = ['pylock'],
    requires = [
        'gi.repository.Gtk',
        'gi.repository.Gdk',
        'gi.repository.GdkX11',
        'gi.repository.GObject',
        'gi.repository.GLib',
    ],
)
